Skip to content

Gets the current update that is queued for a device​

GET
/devices/{id}/firmware/update

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request example

Responses​

OK

application/json
JSON
{
  
"_forceFW": true,
  
"pending": 0,
  
"pendingReason": "string",
  
"request": 0,
  
"updateAvailability": 0,
  
"updateRedirects": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value